<?php

declare(strict_types=1);

namespace App\Http\Controllers\Settlement;

use App\Business\Settlement\SettlementStatementService;
use App\Http\Controllers\Controller;
use App\Models\DberpSettlementStatement;
use Symfony\Component\HttpFoundation\StreamedResponse;

final class SettlementStatementExportController extends Controller
{
    public function __invoke(DberpSettlementStatement $statement, SettlementStatementService $statementService): StreamedResponse
    {
        return $statementService->export($statement);
    }
}